org.jgrapht.graph

## Class AsUnweightedDirectedGraph<V,E>

- java.lang.Object
- - org.jgrapht.graph.AbstractGraph<V,E>
  - - org.jgrapht.graph.GraphDelegator<V,E>
    - - org.jgrapht.graph.AsUnweightedGraph<V,E>
      - - org.jgrapht.graph.AsUnweightedDirectedGraph<V,E>

- All Implemented Interfaces:
    Serializable, DirectedGraph<V,E>, Graph<V,E>

      public class AsUnweightedDirectedGraph<V,E>
      extends AsUnweightedGraph<V,E>
      implements DirectedGraph<V,E>

  An unweighted view of the backing weighted graph specified in the constructor. This graph allows modules to apply algorithms designed for unweighted graphs to a weighted graph by simply ignoring edge weights. Query operations on this graph "read through" to the backing graph. Vertex addition/removal and edge addition/removal are all supported (and immediately reflected in the backing graph).

  Note that edges returned by this graph's accessors are really just the edges of the underlying directed graph.

  This graph does not pass the hashCode and equals operations through to the backing graph, but relies on `Object`'s `equals` and `hashCode` methods. This graph will be serializable if the backing graph is serializable.

  Since:
    Sep 7, 2007
  Author:
    Lucas J. Scharenbroich, Joris Kinable
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsUnweightedDirectedGraph(DirectedGraph<V,E> g)` Constructor for AsUnweightedGraph.

  - ### Method Summary

    - ### Methods inherited from class org.jgrapht.graph.AsUnweightedGraph

      `getEdgeWeight`

    - ### Methods inherited from class org.jgrapht.graph.GraphDelegator

      `addEdge, addEdge, addVertex, containsEdge, containsVertex, degreeOf, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf, removeEdge, removeEdge, removeVertex, setEdgeWeight, toString, vertexSet`

    - ### Methods inherited from class org.jgrapht.graph.AbstractGraph

      `assertVertexExist, containsEdge, equals, hashCode, removeAllEdges, removeAllEdges, removeAllEdges, removeAllVertices, toStringFromSets`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jgrapht.DirectedGraph

      `incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf`

    - ### Methods inherited from interface org.jgrapht.Graph

      `addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

- - ### Constructor Detail

    - #### AsUnweightedDirectedGraph

          public AsUnweightedDirectedGraph(DirectedGraph<V,E> g)

      Constructor for AsUnweightedGraph.
      Parameters:
        `g` - the backing graph over which an unweighted view is to be created.

Copyright © 2016. All rights reserved.